#!/bin/bash
# metawrapper - gens meta for all packages of given dir if possible

source /etc/mage.rc.global
source /etc/mage.rc

DIR="$1"
MLIBDIR=/home/tjoke/alx-cvs/magellan-src/mage/usr/lib/mage
PKG_URI="http://magellan-linux.de/magellan/magellan-dev/unstable/packages"

source ${MLIBDIR}/mage4.functions.sh

# generic
for i in $(find ${DIR} -type f -name '*'.smage2 | sort -u)
do
	name="$(basename ${i} .smage2)"
	name="${name%-*}-${ARCH}-${name##*-}"

	if $(wget -c --directory-prefix="${PKGDIR}" ${PKG_URI}/${ARCH}/${name}.mpk)
	then
		tar xjf ${PKGDIR}/${name}.mpk -C ${BUILDDIR}

		[[ -e ${BUILDDIR}/builded ]] && rm -rf ${BUILDDIR}/builded
		ln -snf ${name}/binfiles ${BUILDDIR}/builded
	else
		echo "generating incomplete meta-data for $(basename ${i})"
	fi

	${MLIBDIR}/generate_meta_data.sh ${i}

	[[ -d ${BUILDDIR}/${name} ]] && rm -rf ${BUILDDIR}/${name}
done
